package com.house365.ws.dao.mapper;

import com.house365.beans.entity.LabelEntity;
import org.springframework.stereotype.Repository;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
@Repository
public interface LabelMapper {
    List<LabelEntity> getLabelList(Map<String,Object> map);
    Integer getLabelListCount(Map<String,Object> map);
    void addLabel(LabelEntity entity);
    void updateLabel(LabelEntity entity);
    void updateUserCustomerLabel(LabelEntity entity);
    void delLabel(LabelEntity entity);
    void delCustomerLabel(LabelEntity entity);
    void saveCustomersLabels(List<LabelEntity> paramList);
    List<LabelEntity> getCustomerLabelById(LabelEntity labelentity);
    List<LabelEntity> queryCustomerLabel(Map<String, Integer> map);
    List<LabelEntity> getLabelColor(Map<String, Object> map);
    List<LabelEntity> getAllLabelsByOwn(Map<String, Object> map);
    List<LabelEntity> getColorLabel(Map<String, Object> labelMap);
    List<LabelEntity> getColorLabel4MyCustomer(Map<String, Object> labelMap);
    List<LabelEntity> queryUserLabel(Map<String, Integer> map);
    List<LabelEntity> queryUserCustomerLabel(Map<String, Integer> map);
    void updateCustomerId(Map<String,Object> map);
    List<LabelEntity> getCustomerLabelIds(LabelEntity labelentity);

}
